## vte 0.27.90

=== debian/changelog ===
vte (1:0.27.90-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on libgtk-3-dev
  * debian/libvte-common.install:
    - GSettings schema removed
  * debian/libvte-2.90-9.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 24 Feb 2011 11:07:55 +1100

vte (1:0.27.5-0ubuntu2) natty; urgency=low

  * debian/control:
    - Use new libgtk-3-dev build-depends

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 22 Feb 2011 16:21:40 +1100

vte (1:0.27.5-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 07 Feb 2011 10:42:28 +1100

vte (1:0.27.4-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 13 Jan 2011 12:31:29 -0600

vte (1:0.27.3-0ubuntu1) natty; urgency=low

  * New upstream version
  * debian/libvte-common.install:
    - Add new gsettings schema
  * debian/patches/fix_gtk3_api_changes.patch:
    - Dropped, applied upstream

 -- Michael Terry <mterry@ubuntu.com>  Mon, 03 Jan 2011 16:46:32 -0500

vte (1:0.27.2-0ubuntu3) natty; urgency=low

  * Fix update glitch related to scroll regions (LP: #246701)

 -- Micah Cowan <micah@cowan.name>  Fri, 17 Dec 2010 11:58:21 +1100

vte (1:0.27.2-0ubuntu2) natty; urgency=low

  * debian/control.in:
    - Rename gir1.0 packages to gir1.2

 -- Michael Terry <mterry@ubuntu.com>  Thu, 16 Dec 2010 13:36:58 -0500

vte (1:0.27.2-0ubuntu1) natty; urgency=low

  * fix_gtk3_api_changes.patch:
    - Fix GTK3 API breakage
  * debian/control:
    - Drop libvte-bin package, after consulting with Debian
  * debian/rules:
    - Use separate libexecdir to put binaries in separate folder
      for the gtk3 version of the library

 -- Michael Terry <mterry@ubuntu.com>  Mon, 13 Dec 2010 17:00:11 -0500

vte (1:0.27.2-0ubuntu1~build2) natty; urgency=low

  * debian/rules:
    - Fix when gtk3 version is installed

 -- Michael Terry <mterry@ubuntu.com>  Tue, 23 Nov 2010 15:31:24 -0500

vte (1:0.27.2-0ubuntu1~build1) natty; urgency=low

  * New upstream version
  * debian/watch:
    - Fix regular expression to work
  * debian/rules:
    - Fix python install line to specify version of python, fixes FTBFS
  * Adds support for gtk3, adding:
    - libvte-2.90-9
    - gir1.0-vte-2.90
    - libvte-2.90-dev
    - libvte-bin
  * Renamed gir1.0-vte-1.0 to gir1.0-vte-0.0, since that is the version of
    the gir used.  There are no rdepends.
  * Moved the helper program from the library package to a new libvte-bin
    package

 -- Michael Terry <mterry@ubuntu.com>  Tue, 23 Nov 2010 10:13:27 -0500

vte (1:0.26.2-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - Use standards-version 3.9.1
    - Add depends on libvte-common so all packages can use linked documentation
  * debian/libvte-doc.links:
    - Fix html documentation link
  * debian/rules:
    - Set PYTHON environment variable on install

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 09 Dec 2010 14:20:40 +1100

vte (1:0.26.0-0ubuntu2) maverick-proposed; urgency=low

  * debian/patches/lp621927_set_default_term.patch: properly set TERM
    environment variable if unset on vte_terminal_init so applications started
    from the wm menus properly get a sane value to begin with (LP: #621927)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 05 Oct 2010 15:02:50 -0400
