=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: vte
Section: libs
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guilherme de S. Pastore <gpastore@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Standards-Version: 3.9.1
XS-Python-Version: >= 2.3
Build-Depends: cdbs (>= 0.4.43),
               debhelper (>= 5.0.37.2),
               dh-autoreconf,
               libglib2.0-dev (>= 2.22.0),
               libcairo2-dev,
               libx11-dev,
               libgtk2.0-dev (>= 2.20.0),
               libgtk-3-dev (>= 3.0.0),
               gobject-introspection (>= 0.6.7),
               libgirepository1.0-dev (>= 0.6.7),
               gir1.2-gtk-2.0,
               gir1.2-gtk-3.0,
               gettext,
               python-gtk2-dev,
               python-all-dev (>= 2.3.5-11),
               libncurses5-dev,
               gnome-pkg-tools (>= 0.10),
               dpkg-dev (>= 1.13.19),
               gtk-doc-tools,
               python-support (>= 0.3),
               libpango1.0-dev (>= 1.22.0),
               libgladeui-1-dev,
               intltool (>= 0.35)
Build-Depends-Indep: libglib2.0-doc, libgtk2.0-doc, libgtk-3-doc, libatk1.0-doc
Vcs-Bzr: http://code.launchpad.net/~ubuntu-desktop/vte/ubuntu

Package: libvte9
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libvte-common
Description: Terminal emulator widget for GTK+ 2.0 - runtime files
 The VTE library inserts terminal capability strings into a trie, and then
 uses it to determine if data received from a pseudo-terminal is a control
 sequence or just random data. The sample program "interpret" illustrates
 more or less what the widget sees after it filters incoming data.

Package: libvte9-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Terminal emulator widget for GTK+ 2.0 - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 The VTE library inserts terminal capability strings into a trie, and then
 uses it to determine if data received from a pseudo-terminal is a control
 sequence or just random data. The sample program "interpret" illustrates
 more or less what the widget sees after it filters incoming data.
 .
 This package contains the minimal runtime library needed by the Debian
 installer.

Package: gir1.2-vte-0.0
Section: libs
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         libvte-common
Conflicts: gobject-introspection-repository, gir1.0-vte-0.0
Replaces: gir1.0-vte-0.0
Description: GObject introspection data for the VTE library
 This package contains introspection data for VTE, a terminal emulator
 widget for GTK+.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libvte-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libvte9 (= ${binary:Version}),
         libvte-common,
         python-vte (= ${binary:Version}),
         libcairo2-dev,
         libx11-dev,
         libgtk2.0-dev (>= 2.14.0),
         libpango1.0-dev (>= 1.22.0),
         libglib2.0-dev (>= 2.22.0),
         libvte-common
Provides: python-vte-dev
Description: Terminal emulator widget for GTK+ 2.0 - development files
 The VTE library inserts terminal capability strings into a trie, and then
 uses it to determine if data received from a pseudo-terminal is a control
 sequence or just random data. The sample program "interpret" illustrates
 more or less what the widget sees after it filters incoming data.
 .
 This package contains development files for the VTE library and its 
 Python bindings.

Package: libvte-2.90-9
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libvte-common
Description: Terminal emulator widget for GTK+ 3.0 - runtime files
 The VTE library inserts terminal capability strings into a trie, and then
 uses it to determine if data received from a pseudo-terminal is a control
 sequence or just random data. The sample program "interpret" illustrates
 more or less what the widget sees after it filters incoming data.

Package: gir1.2-vte-2.90
Section: libs
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends},
         libvte-common
Conflicts: gir1.0-vte-2.90
Replaces: gir1.0-vte-2.90
Description: GObject introspection data for the VTE library
 This package contains introspection data for VTE, a terminal emulator
 widget for GTK+.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libvte-2.90-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libvte-2.90-9 (= ${binary:Version}),
         libcairo2-dev,
         libx11-dev,
         libgtk-3-dev (>= 3.0.0),
         libpango1.0-dev (>= 1.22.0),
         libglib2.0-dev (>= 2.22.0),
         libvte-common
Description: Terminal emulator widget for GTK+ 3.0 - development files
 The VTE library inserts terminal capability strings into a trie, and then
 uses it to determine if data received from a pseudo-terminal is a control
 sequence or just random data. The sample program "interpret" illustrates
 more or less what the widget sees after it filters incoming data.
 .
 This package contains development files for the VTE library and its 
 Python bindings.

Package: libvte-common
Architecture: all
Section: libs
Depends: ${misc:Depends}
Replaces: libvte2 (<= 0.5.1-2)
Description: Terminal emulator widget for GTK+ - common files
 The VTE library inserts terminal capability strings into a trie, and then
 uses it to determine if data received from a pseudo-terminal is a control
 sequence or just random data. The sample program "interpret" illustrates
 more or less what the widget sees after it filters incoming data.
 .
 This package contains internationalization files for the VTE library.

Package: python-vte
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends},
         libvte-common,
         python-gtk2
XB-Python-Version: ${python:Versions}
Conflicts: python2.3-vte,
           python2.4-vte
Replaces: python2.3-vte,
          python2.4-vte
Description: Python bindings for the VTE widget set
 The VTE library inserts terminal capability strings into a trie, and then
 uses it to determine if data received from a pseudo-terminal is a control
 sequence or just random data. The sample program "interpret" illustrates
 more or less what the widget sees after it filters incoming data.
 .
 This package contains the Python bindings for the VTE library.
 
Package: libvte-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Terminal emulator widget for GTK+ - documentation
 The VTE library inserts terminal capability strings into a trie, and then
 uses it to determine if data received from a pseudo-terminal is a control
 sequence or just random data. The sample program "interpret" illustrates
 more or less what the widget sees after it filters incoming data.
 .
 This package contains documentation files for the VTE library.
