=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/vte/([\d\.]+[\d])/ vte-(.*)\.tar\.gz
