## vte 0.28.2

=== debian/changelog ===
vte (1:0.28.2-6.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:38:08 +1100

vte (1:0.28.2-6.1build1) noble; urgency=medium

  * No-change rebuild against libgtk2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:53:58 +0000

vte (1:0.28.2-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063062

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 23:29:46 +0000

vte (1:0.28.2-6) unstable; urgency=medium

  * Stop building python-vte and libvte-doc
  * Switch from cdbs to dh
  * Build-Depend on debhelper-compat 11 and drop debian/compat (Closes: #696395)
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Update Vcs fields for salsa.debian.org
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.3.0
  * Fix debian/watch to ignore newer vte series
  * Use the same build config for the deb that we use for the udeb
    (Closes: #644890)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 02 Feb 2019 07:52:36 -0500

vte (1:0.28.2-5) unstable; urgency=medium

  * Update repository URL.
  * 03_CVE-2012-2738.patch, 04_CVE-2012-2738.patch: backport upstream
    patches to fix a memory exhaustion vulnerability. Closes: #677717.

 -- Josselin Mouette <joss@debian.org>  Sat, 23 Jun 2012 16:02:46 +0200

vte (1:0.28.2-4) unstable; urgency=low

  * debian/control.in:
    - Remove obsolete Conflicts and Replaces.
  * debian/rules:
    - Correctly pass libexecdir to configure so libvte has the correct path to
      gnome-pty-helper. Closes: #645104
  * Add symbols file for libvte9 for improved shlibs dependencies and bump
    shlibs accordingly. Closes: #633798

 -- Michael Biebl <biebl@debian.org>  Sun, 11 Dec 2011 23:04:54 +0100

vte (1:0.28.2-3) unstable; urgency=low

  * 02_meta.patch: workaround for Meta key being broken since the GTK+
    2.24.8 upgrade. Closes: #648760.

 -- Josselin Mouette <joss@debian.org>  Sat, 19 Nov 2011 14:06:11 +0100

vte (1:0.28.2-2) experimental; urgency=low

  * Drop all GTK+3 packages and dependencies. This version will remain
    for GTK+2 support until no packages use it anymore.
  * Keep gobject-introspection build-dependency for the macro used by
    dh_autoreconf.
  * Disable glade catalogue and libgladeui requirement.

 -- Josselin Mouette <joss@debian.org>  Sat, 12 Nov 2011 15:46:30 +0100

vte (1:0.28.2-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    - Track .xz tarballs.
  * Refresh debian/patches/25_optional-ncurses.patch.
  * debian/control.in:
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
    - Add Vcs-* fields.
    - Bump Standards-Version to 3.9.2. No further changes.
  * Switch to dh_python2.

 -- Michael Biebl <biebl@debian.org>  Wed, 19 Oct 2011 03:41:29 +0200

vte (1:0.28.1-2) unstable; urgency=low

  * libvte-doc.links: dropped. Closes: #631881.
  * libvte-common.postinst: do the symlink dance for
    /usr/share/vte/termcap. Closes: #611826, #631824, #631801.

 -- Josselin Mouette <joss@debian.org>  Tue, 28 Jun 2011 18:52:26 +0200

vte (1:0.28.1-1) unstable; urgency=low

  * Tighten dependencies on libvte-common.
  * New upstream release.
    + CVE-2011-2198: fix memory exhaustion by using special character
      sequences. Closes: #629688.
  * Drop check-dist include.

 -- Josselin Mouette <joss@debian.org>  Wed, 15 Jun 2011 21:47:56 +0200

vte (1:0.28.0-2) experimental; urgency=low

  * Fix long description, thanks Teemu Ikonen. Closes: #623219.
  * Drop useless libvte-dev dependency on python-vte. Closes: #549015.
  * libvte-common Breaks libvte9 < 1:0.28. Closes: #616394, #611826.
  * python-vte Breaks python-apt << 0.8.0~exp2. Closes: #621483.
  * Fix udeb sourcedir, thanks Colin Watson. Closes: #627555.
  * 01_scroll_notebook.patch: new patch. Allow to switch tabs with
    Alt+wheel with the latest gtk+3.0.

 -- Josselin Mouette <joss@debian.org>  Sun, 05 Jun 2011 02:06:40 +0200

vte (1:0.28.0-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * Add build-depends to libgladeui-dev, the GTK3 version now requires it.
  * Move autoreconf.mk before debhelper.mk to avoid debhelper.log
    leftovers.
  * Drop unneeded Sections fields duplicating the default value.
  * Add lintian overrides for package-name-doesnt-match-sonames and
    setgid-binary.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 14 Apr 2011 20:27:53 +0000

vte (1:0.27.90-2) experimental; urgency=low

  * Drop unneeded dependency on libvte-common from gir1.2-vte-2.90.

 -- Jordi Mallach <jordi@debian.org>  Wed, 06 Apr 2011 11:31:01 +0200

vte (1:0.27.90-1) experimental; urgency=low

  * Make the -dev package depend on the gir package.
  * Force the upgrade of libvte-common for the new termcap definitions.
  * New upstream pre-release.
  * Use dh-autoreconf; drop 90_autoreconf.patch.
  * Pass PYTHON= as configure argument instead of environment, so that
    it doesn’t get lost when dh-autoreconf goes mad.
  * Bump shlibs version.
  * There’s no longer gsettings stuff to isntall.
  * Update symbols file.
  * Make the -dev packages recommend the -doc package.

 -- Josselin Mouette <joss@debian.org>  Thu, 31 Mar 2011 10:34:47 +0530

vte (1:0.27.5-1) experimental; urgency=low

  * debian/control.in:
    + Drop obsolete dpkg-dev build dependency.
    + Bump the libgtk2.0-dev dependency on the -dev package.
  * New upstream release.
    + debian/control.in:
      - Update build dependencies.
      - Update for the new gtk+ 3 package names.
    + debian/patches/90_autoreconf.patch:
      - Updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 Feb 2011 14:23:13 +0000

vte (1:0.27.4-1) experimental; urgency=low

  * Switch to CDBS' flavors system.
  * Bump debhelper compatibility to 8.
  * New upstream release, based on a patch by Michael Terry.
    Closes: #604846.

