=== debian/watch ===
version=4
https://download.gnome.org/sources/vte/0.28/ \
	vte@ANY_VERSION@\.tar\.xz
